package cn.com.qmth.examcloud.core.questions.service.yunkai;

import java.util.ArrayList;
import java.util.List;

public class PropertyDto {

	private Long id;
	private Long parentId;
	private String name;

	private List<PropertyDto> subPropertyDto = new ArrayList<>();

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<PropertyDto> getSubPropertyDto() {
		return subPropertyDto;
	}

	public void setSubPropertyDto(List<PropertyDto> subPropertyDto) {
		this.subPropertyDto = subPropertyDto;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public void addSub(PropertyDto sub) {
		subPropertyDto.add(sub);
	}

	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

}